API DocumentationManufacturer part revision controller
Get part revision by ID
Retrieves a specific part revision by its ID
AuthorizationBearer <token>
In: header
Path Parameters
partRevisionIdstring
ID of the part revision to retrieve
Format
uuidResponse Body
curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/part-revision/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",
"designName": "string",
"designId": "033e957b-7b88-4dd7-902f-29ec7b58670b",
"availableAccessories": [
"ORIGINAL_CAD_FILE"
],
"volume": 0,
"area": 0,
"height": 0,
"width": 0,
"depth": 0,
"minimumWallThickness": 0,
"minBoundingBoxVolume": 0,
"convexHullVolume": 0,
"shrinkWrapVolume": 0,
"createdAt": "2019-08-24T14:15:22Z",
"versionNumber": 0,
"isLatestRevision": true,
"repaired": true,
"watertight": true,
"originalCADFileType": "STL",
"conflictOnHash": "string"
}Empty
Empty